ProjectControllerPublishItems Method

POST /Project/PublishItems Publish the selected items to a target project.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("PublishItems")]
public HttpResponseMessage PublishItems(
	Guid id,
	[FromBodyAttribute] PublishProjectItemsOptions options,
	Nullable<Guid> sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the target project to publish to.
options
Type: Dundas.BI.WebApi.ModelsPublishProjectItemsOptions
The options for this publish.
sessionId (Optional)
Type: SystemNullableGuid
ID of the current session.

Return Value

Type: HttpResponseMessage
The PublishResultData with information on the result, or a status code indicating the reason for failure.
See Also